Skip to main content
Service and Application/Inference Service APIs
GETInference Service APIsSince 5.2.1SynchronousAuth Required

QueryModelService

QueryModelService

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • qString

    Query conditions.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If this field is not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code. It is the globally unique identifier of an error, for example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      Brief description of the error.

    • detailsStringRequired

      Detailed information about the error.

    • elaborationStringRequired

      Reserved field. The default value is null.

    • opaqueLinkedHashMapRequired

      Reserved field. The default value is null.

    • causeErrorCodeRequired

      Root error. It is the source error that caused the current error. If no source error exists, this field is null.

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • readmeStringRequired

      The README content.

    • yamlStringRequired

      The service YAML configuration.

    • requestCpuIntegerRequired

      The requested number of CPUs.

    • requestMemoryLongRequired

      The requested memory size.

    • modelCenterUuidStringRequired

      The model center UUID.

    • typeStringRequired

      The model service type.

    • frameworkStringRequired

      The model service framework.

    • sourceStringRequired

      The model service source.

    • sizeLongRequired

      The model service size.

    • systemBooleanRequired

      Whether the model service is a system model service.

    • hasNewVersionBooleanRequired

      Whether a new version is available.

    • gpuComputeCapabilityStringRequired

      The GPU compute capability requirement.

    • installPathStringRequired

      The model service installation path.

    • pythonVersionStringRequired

      The Python version.

    • condaVersionStringRequired

      The Conda version.

    • versionStringRequired

      The model service version.

    • startCommandStringRequired

      The startup command.

    • containerCommandStringRequired

      The container command.

    • containerArgsStringRequired

      The container arguments.

    • supportDistributedBooleanRequired

      Whether distributed deployment is supported.

    • cpuArchitecturesListRequired

      The supported CPU architectures.

    • vendorToSpecUuidsMapMapRequired

      The mapping between GPU vendors and specification UUIDs.

    • modelServiceRefsListRequired

      The bindings between models and the model service.

    • modelServiceImagesListRequired

      The model service image list.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

GET/zstack/v1/ai/model-services

/zstack/v1/ai/model-services

Operation ID

QueryModelService

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ai/model-services?q=<q>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "text to text model service", "description": "This is text to text model service you can chose model", "yaml": "model service parameters", "requestCpu": 4, "requestMemory": 1024, "supportDistributed": false } ] }

Change History

This API has no change history records yet.

View all change history